Bug 7079 - Default values for German system preferences (web installer)
Summary: Default values for German system preferences (web installer)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.6
Hardware: All All
: P4 enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 12:21 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7079: Default values for German system preferences (2.68 KB, patch)
2011-10-24 13:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7079: [SIGNED-OFF] Default values for German system preferences (2.98 KB, patch)
2011-10-25 17:44 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-24 12:21:34 UTC
With the new system preferences sql files in place it's now easy to set some default values for German installations (example: dateformat = metric)
Comment 1 Katrin Fischer 2011-10-24 13:07:09 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-10-25 17:44:15 UTC
Created attachment 6053 [details] [review]
Bug 7079: [SIGNED-OFF] Default values for German system preferences

Patch adds updates for system preferences to the sql file
in the installer directory:

- New: AmazonLocale: DE
- borrowerRelationship: Vater|Mutter
- BorrowersTitles: Herr|Frau
- New: CurrencyFormat: FR
- New: dateformat: metric
- New: DefaultClassificationSource: z
- New: OpacMainUserBlock: translated content
- New: OpacNav: translated content
- New: OpacNavBottom: translated content
- New: OPACSearchForTitleIn: translated content

To test:
A) Do a full installation with German sample files
B) Run the sql file 'system_preferences.sql' against your database

Verfy values of system preferences have been changed.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Patch applied cleanly. I ran through the webinstaller in German on an empty
database, and made sure system_preferences were loaded. No complaints from
the database and the systprefs are set to the right values when I check in the
staff client.
Comment 3 Marcel de Rooy 2011-11-14 13:49:28 UTC
QA Comment:
Does only change some default values in German sql file. Looks good to me.
Marking it as Passed QA.
Comment 4 Paul Poulain 2011-11-17 16:14:42 UTC
Patch pushed, please test.

(katrin, you've declared this as an ENH. It means it won't be in 3.6.x. Was it really intended ? If it's a MIN bug, feel free to update severity & version (so chris_n will know that he has to apply it) before marking RESO/FIXED
Comment 5 Katrin Fischer 2011-11-27 18:32:58 UTC
Being very sctrict - it's an enhancement. But it's not likely to break things, it doesn't include system preferences that are not in 3.6, and it would make life a bit easier...
Chris N. should have the last say about it though.